Developer Documentation

Public Slots | Signals | Public Member Functions | Private Attributes | List of all members
OpenFlipperJob Class Reference

Internal Job execution object. More...

`#include <OpenFlipper/threads/OpenFlipperThread.hh>`

Inheritance diagram for OpenFlipperJob:

## Public Slots
void | startJobProcessing ()
| slot to start processing More...

## Signals
void | process (const QString _jobId="")
| connection to actual processing function More...
void | finished ()
| Job done. More...

## Public Member Functions
| OpenFlipperJob (const QString _jobId)
void | jobId (const QString &_jobId)
| Set job's id.
QString | jobId () const
| Get job's id.

## Private Attributes
QString | jobId_
| The job's id.

## Detailed Description

Internal Job execution object.

This class is used to start a process within a thread. The thread object itself lives in the event queue of the object that created the thread. So every signal or slot within the QThread object will be dispatched in the core event loop and therefore lock the gui. Objects created in the QThread will run in the threads event queue as well as their signals and slots. So QThread uses this object to actually run arbitrary threads inside the threads event queue.

See Process Interface for details.

Definition at line 243 of file OpenFlipperThread.hh.

## Member Function Documentation

## ◆ finished

void OpenFlipperJob::finished | ( |  | ) |
| signal

Job done.

This signal is emitted, when the job has finished

## ◆ process

void OpenFlipperJob::process | ( | const QString | _jobId = `""` | ) |
| signal

connection to actual processing function

This signal has to be connected via a Qt::DirectConnection to an arbitrary slot. This slot will be executed in the local event queue. If this object is created in a QThread, than the slot will be run inside this thread.

## ◆ startJobProcessing

void OpenFlipperJob::startJobProcessing | ( |  | ) |
| slot

slot to start processing

If this slot is called, the slot connected to process() will be executed in the current thread.

Definition at line 125 of file OpenFlipperThread.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/threads/OpenFlipperThread.hh
- OpenFlipper/threads/OpenFlipperThread.cc